from __future__ import annotations

import unittest

import pygenworkspace.utils

{%- if imports | length %}
{{ "\n{}".format(imports | join("\n")) }}
{%- endif %}


def load_tests(
    loader: object,
    tests: object,
    pattern: object
) -> object:
    test_suite = pygenworkspace.utils.unittest_suite()

    workspace_dirpath = pygenworkspace.utils.workspace_dirpath(__file__)
    repo_url = "{{ repo_url }}"

    pygenworkspace.utils.load_tests(
        test_suite=test_suite,
        workspace_dirpath=workspace_dirpath,
        repo_url=repo_url,
        workspaces=[
{%- if workspaces | length %}
            {{ "{}\n        ".format(workspaces | join(",\n") | replace("\n", "\n            ")) }}
{%- endif -%}
        ]
    )

    return test_suite


if (__name__ == "__main__"):
    unittest.main()
